<template>
  <div class="check-page">
    <section class="calculation">
      <section class="heading-section"><h1 class="heading"> Оценка досрочного возврата прав </h1></section>
      <section class="cform-container">
        <section class="cform cform-sub envisioned">
          <div class="focus-button"></div>
          <div class="cform-block-item tip"><h2><strong>Вернуть водительское удостоверение досрочно?</strong></h2></div>
          <div class="cform-block-item tip"><h2></h2>Выберите категорию вашего дела</div>
          <div class="cform-block tip-radio-block flightType radio-block radio-four">
            <div class="cform-block-item tip">Что произошло?</div>
            <button @click.prevent="numberProtocol = 'Алкогольное опьянение'" :class="{'radio-active': numberProtocol === 'Алкогольное опьянение'}" class="radio-item radio-delay" id="radio-delay">Алкогольное опьянение</button>
            <button @click.prevent="numberProtocol = 'Отказ от медосвидетельсвования'" :class="{'radio-active': numberProtocol === 'Отказ от медосвидетельсвования'}" class="radio-item radio-cancel" id="radio-cancel">Отказ от медосвидетельсвования</button>
            <button @click.prevent="numberProtocol = 'Скрытие с места ДТП'" :class="{'radio-active': numberProtocol === 'Скрытие с места ДТП'}" class="radio-item radio-missed" id="radio-missed">Скрытие с места ДТП</button>
            <button @click.prevent="numberProtocol = 'Другое'" :class="{'radio-active': numberProtocol === 'Другое'}" class="radio-item radio-denied" id="radio-denied">Другое</button>
          </div>
          <div class="cform-block from-to from-to-basic">
            <form id="fileform" method="POST">
              <div class="cform-block-item">

                <input v-model="protocol" type="text" name="departure" class="cform-block-item-input cform-departure"
                       placeholder="Номер протокола (если есть)">
                <div class="airport-dropdown departure-dropdown display-none" id="departure-dropdown">
                  <div class="airport-dropdown-tip">Начните печатать...</div>
                  <div class="airport-dropdown-loader loader-priority display-none"><img
                    src="img/colors/grey/three-dots.svg" alt="" title="">
                  </div>
                  <div id="departure-dropdown-item-container-priority"></div>
                  <div class="airport-dropdown-loader loader-unpriority display-none"><img
                    src="img/colors/grey/three-dots.svg" alt="" title="">
                  </div>
                  <div id="departure-dropdown-item-container-unpriority"></div>
                </div>
              </div>
              <div class="cform-block-item">

                <input v-model="name" type="text" name="arrival" class="cform-block-item-input cform-arrival"
                       placeholder="Имя">
                <div class="airport-dropdown arrival-dropdown display-none" id="arrival-dropdown">
                  <div class="airport-dropdown-tip">Начните печатать...</div>
                  <div class="airport-dropdown-loader loader-priority display-none"><img
                    src="img/colors/grey/three-dots.svg" alt="" title="">
                  </div>
                  <div id="arrival-dropdown-item-container-priority"></div>
                  <div class="airport-dropdown-loader loader-unpriority display-none"><img
                    src="img/colors/grey/three-dots.svg" alt="" title="">
                  </div>
                  <div id="arrival-dropdown-item-container-unpriority"></div>
                </div>
              </div>
              <div class="cform-block-item">
                <input v-model="phone" type="text" name="airline" class="cform-block-item-input cform-airline"
                       placeholder="Формат телефона 89887776655">
              </div>
              <div class="cform-block-item">
                <input v-model="email" type="text" name="email" class="cform-block-item-input cform-airline"
                       placeholder="E-mail (Не обязательно)">
              </div>
            </form>
          </div>
          <div class="cform-block date-airline">
            <div class="date" style="width: 93%; margin-left: 0;">
              <div class="cform-block-item tip" style="width: 100%; padding-left: 50px;">Дата лишения</div>
              <div class="cform-block-item-icon icon-date" style="margin-left: 50px;"></div>
              <input v-model="leshenieData" type="date" name="date" class="cform-block-item-input cform-date" placeholder="Дата"
                     min="2009-01-01" style="width: 319px;"></div>
            <div class="airline-top-block">
              <div class="airport-dropdown airline-dropdown display-none" id="airline-dropdown">
                <div class="airport-dropdown-tip">Начните печатать...</div>
                <div class="airport-dropdown-loader loader-priority display-none"><img
                  src="img/colors/grey/three-dots.svg" alt="" title="">
                </div>
                <div id="airline-dropdown-item-container-priority"></div>
                <div class="airline-dropdown-loader loader-unpriority display-none"><img
                  src="img/colors/grey/three-dots.svg" alt="" title="">
                </div>
                <div id="airline-dropdown-item-container-unpriority"></div>
              </div>
            </div>
            <div class="action-button-container call-button" style="width: 100%;">
              <input @click.prevent="send" :class="{'disabled':!validatePhone}" type="submit" class="action-button" value="Получить информацию по своему делу">
            </div>
          </div>
          <div class="delay-hours-loader display-none"><img src="img/colors/grey/three-dots.svg"
                                                            alt="" title=""></div>
          <div class="cform-block tip-radio-block hoursBlock delayHours display-none">
            <div class="cform-block-item tip">На сколько часов задержано прибытие в конечный пункт?</div>
            <div class="cform-block-item radio-block">
              <button class="radio-item">меньше 3</button>
              <button class="radio-item">от 3 до 4</button>
              <button class="radio-item">больше 4</button>
            </div>
          </div>
          <!-----   <div class="action-button-container cform-block"><a href="#3" class="action-button action-next has-spinnery"
                                                                    id="first-button"> <span class="button-text">Получить информацию по своему делу</span><span
                        class="spinnery"><img src="img/colors/white/loading.svg" alt="" width="25px" height="25px"></span>
                </a></div> ---->
          <div class="info clearfix info-below-calculate">
            <div class="info-text">в соответствии с законодательством РФ</div>
          </div>
        </section>
        <section class="congrats cform-sub provisioned">
          <div class="focus-button"></div>
          <div class="congrats-block"><strong class="para">Поздравляем!</strong>
            <p class="para pre-sum">Ваша компенсация может составить</p>
            <p class="sum">€400</p>
            <p class="para post-sum">Оставьте заявку прямо сейчас</p>
            <p class="howitworks-user-note congrats-note">Мы берём комиссию <span class="congrats-note--commission">25</span>%
              только по факту получения вами денег</p></div>
          <div class="congrats-form">
            <div class="cform-block-item name-item">
              <div class="cform-block-item-icon"><img src="img/colors/blue/user.svg"
                                                      alt=""
                                                      title="">
              </div>
              <input type="text" name="name" class="cform-block-item-input cform-name"
                     placeholder="Имя и фамилия, как в билете">
              <p class="howitworks-user-note congrats-note name-note display-none">Пожалуйста, укажите имя только
                одного пассажира в формате Имя Фамилия без знаков препинания и дополнительных слов. Вы сможете
                указать попутчиков на следующих страницах и позже</p></div>
            <div class="cform-block-item" id="email1-block">
              <div class="cform-block-item-icon"><p class="cform-block-item-icon-img">@</p></div>
              <input type="email" name="email" class="cform-block-item-input cform-email1" placeholder="E-mail">
            </div>
            <div class="cform-block">
              <div class="info clearfix">
                <div class="info-icon">i</div>
                <div class="info-text">Ваш номер нужен только для срочных сообщений и в случае проблем с
                  электронной почтой
                </div>
              </div>
              <div class="cform-block-item phone-block-item">
                <div class="cform-block-item-icon"><img src="img/colors/blue/phone.svg"
                                                        alt=""
                                                        title=""></div>
                <input type="text" name="phone"
                       class="cform-block-item-input cform-other-phonenumber cform-phoneNumber"
                       placeholder="Тел. (напр. +3899997755)"></div>
            </div>
            <div class="cform-block info clearfix policyagree-container"><label class="label-policyagree"> <input
              type="checkbox" name="policyagree" class="cform-policycheckbox">
              <div class="info-text"> Нажимая «Подать заявку», вы даете согласие на обработку ваших персональных
                данных в соответствии с условиями <a href=" other/documents/tc_ru.pdf ">Пользовательского
                  соглашения</a> и <a href=" other/documents/PrivacyPolicy_ru.pdf ">Политики
                  конфиденциальности</a></div>
            </label></div>
          </div>
          <div class="action-button-container cform-block"><a href="#4"
                                                              class="action-button submit-claim-button action-next has-spinnery"
                                                              id="second-button"> <span class="button-text">Подать заявку  </span><span
            class="spinnery"><img src="img/colors/white/loading.svg" alt="" width="25px" height="25px"></span>
          </a></div>
        </section>
      </section>
    </section>
    <Modal @close="modal = false" v-show="modal" :is-close="true">
      <template v-slot:body>
        <div>
          Мы свяжемся с Вами и ответим на все Ваши вопросы.<br><br>Выберите удобный способ для связи:
          <div style="margin-top: 30px;">
            <a href="https://wa.me/79250194968" style="border-bottom:none;display: inline-block;margin:5px 3px;"><img src="https://avtourist.com/img/soc/wa.jpg" alt="WhatsApp" style="width: 120px;"></a><a href="tg://resolve?domain=Avtourist_bot" style="border-bottom:none;display: inline-block;margin:5px 3px;"><img src="https://avtourist.com/img/soc/tg.jpg" alt="Telegram" style="width: 120px;"></a><a href="viber://pa?chatURI=avtourist-bot&context=welcome" style="border-bottom:none;display: inline-block;margin:5px 3px;"><img src="https://avtourist.com/img/soc/vb.jpg" alt="Viber" style="width: 120px;"></a><a href="https://vk.com/write-7375007" style="border-bottom:none;display: inline-block;margin:5px 3px;"><img src="https://avtourist.com/img/soc/vk.jpg" alt="VK" style="width: 120px;"></a></div>
        </div>
      </template>
    </Modal>
  </div>
</template>

<script>
import Modal from "../components/Modal";
export default {
  name: "Check",
  components: {Modal},
  data () {
    return {
      modal: false,
      name: null,
      phone: null,
      email: null,
      numberProtocol: '',
      protocol: null,
      leshenieData: '',
      validatePhone: false,
    }
  },
  computed: {},
  watch: {
    phone (el) {
      if (el.length === 11) return this.validatePhone = true
      else return this.validatePhone = false
    }
  },
  methods: {
    async send () {
      if (!this.validatePhone) {
        alert('Правильно укажите номер телефона')
      } else if (this.name === null) {
        alert('Укажите Ваше имя')
      } else {
        let formData = new FormData();
        formData.append('crm', '11');
        formData.append('pipe', '22');
        formData.append('contact[name]', this.name);
        formData.append('contact[199]', this.phone);
        formData.append('contact[200]', this.email);
        formData.append('lead[214]', 'avtourist.com');
        formData.append('note', 'сайт avtourist.com <br>' + 'Номер протокола: ' + this.numberProtocol + '<br>' + 'Дата лешения: ' + this.leshenieData);
        await this.$axios.$post('https://urist.v-avtoservice.com/api/import-lead',
          formData,
          {
            headers: {
              'Content-Type': 'multipart/form-data'
            }
          }
        ).then(function (response) {
          console.log('send - ' + true)
          this.modal = true
        })
          .catch(error => {
            if (this.$axios.isCancel(error)) {
              console.log('Request canceled', error)
              alert('Что-то пошле не так. Перезагрузите страницу')
            }else {
              console.log(123)
            }
          })
      }
    }
  }
}
</script>

<style scoped>
.disabled {
  opacity: .3;
  cursor: not-allowed;
  pointer-events: none;
}
</style>
